Subject: Re: ssh 1.2.20 diff and patch problems
From: [email-masked] ("Mikey")

24 May 1997 20:12:54 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain;
	charset="US-ASCII"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Outlook Express 4.71.0544.0
Original-To: "Hannu Koivisto" <[email-masked]>
Original-Cc: "cygnus gnu-win32 mailing list" <[email-masked]>
X-Priority: 3
X-MSMail-Priority: Normal
X-MimeOLE: Produced By Microsoft MimeOLE Engine V4.71.0544.0
Original-Sender: [email-masked]

You have your filesystems mounted in text mode.
if you absoulutly can't stand working with LF only files, do patch -p0 --ignore-whitespace < patchfile
then use utod from djgpp to get back all the "\r"'s

otherwise remount your filesystems -b reinstall cdk&user untar the stuff again, and everything will work much better.

([email-masked])
       the return address for this message is anti spammed
       remove * from the above address to reply.
       Mikey
 ----
From: Hannu Koivisto <[email-masked]>
To: [email-masked]
Date: Friday, May 23, 1997 9:36 AM
Subject: ssh 1.2.20 diff and patch problems

>Greetings,
>
>I tried to apply the announced patch for ssh 1.2.20 to compile it with
>gnuwin32. However, patching (patch < ssh-1.2.20.diff) didn't succeed:
>
>Hmm...  The next patch looks like a new-style context diff to me...
>The text leading up to this was:
>--------------------------
>|E_GETRUSAGE) && defined(XXXJR)
>|    {
>|      struct rusage ru, cru;
>|      getrusage(RUSAGE_SELF, &ru);
>|diff -cr ssh-1.2.20/servconf.c ssh-1.2.20.new/servconf.c
>|*** ssh-1.2.20/servconf.c      Tue Apr 22 17:40:07 1997
>--------------------------
>Patching file ssh-1.2.20/servconf.c using Plan A...
>assertion "hunk" failed: file "/home/noer/src/beta18/cdk/patch/patch.c", line 33
>9
>
>I decided to try patching it in Linux. I moved the ssh archive and the diff
>file to our Linux server and ran patch < ssh-1.2.20.diff. The result was even
>more errors and failed hunks. Actually, almost all hunks failed with
>different error messages. Here's just one example:
>
>Patching file ssh-1.2.20/socketpair.c using Plan A...
>(Fascinating--this is really a new-style context diff but without
>the telltale extra asterisks on the *** line that usually indicate
>the new style...)
>Hunk #1 failed at 9.
>Hunk #2 succeeded at 67 with fuzz 2.
>
>What am I doing wrong? Thanks in advance.
>
>---
>Hannu Koivisto | What you see is all you get.
>Prime jee      |                            - Brian Kernighan
>-------------------------------------------------------------
>
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
> 

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".